Package wx :: Package lib :: Package agw :: Module cubecolourdialog :: Class AlphaCtrl

[frames | no frames]

## Type AlphaCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                     PyControl --+
                                 |
                      BaseLineCtrl --+
                                     |
                                    AlphaCtrl

Implements the drawing, mouse handling and sizing routines for the alpha channel control.

Method Summary
| ``__init__`(self, parent)` Default class constructor.
| ``DrawAlphaShading`(self, dc, rect)` Draws the alpha shading on top of the checkerboard.
| ``DrawMarkers`(self, dc)` Draws square markers used with mouse gestures.
| ``OnPaint`(self, event)` Handles the wx.EVT_PAINT event for `AlphaCtrl`.
| ``TrackPoint`(self, pt)` Tracks a mouse action inside the Alpha channel control.

Property Summary

Instance Method Details

### __init__(self, parent)
(Constructor)

Default class constructor. Used internally. Do not call it in your code!

  Overrides:
    `wx.lib.agw.cubecolourdialog.BaseLineCtrl.__init__`

### DrawAlphaShading(self, dc, rect)

Draws the alpha shading on top of the checkerboard.

### DrawMarkers(self, dc=None)

Draws square markers used with mouse gestures.

### OnPaint(self, event)

Handles the wx.EVT_PAINT event for `AlphaCtrl`.

### TrackPoint(self, pt)

Tracks a mouse action inside the Alpha channel control.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:52:31 2009 | http://epydoc.sf.net